## Create D1 Database `client.d1.database.create(DatabaseCreateParamsparams, RequestOptionsoptions?): D1` **post** `/accounts/{account_id}/d1/database` Returns the created D1 database. ### Parameters - `params: DatabaseCreateParams` - `account_id: string` Path param: Account identifier tag. - `name: string` Body param: D1 database name. - `jurisdiction?: "eu" | "fedramp"` Body param: Specify the location to restrict the D1 database to run and store data. If this option is present, the location hint is ignored. - `"eu"` - `"fedramp"` - `primary_location_hint?: "wnam" | "enam" | "weur" | 3 more` Body param: Specify the region to create the D1 primary, if available. If this option is omitted, the D1 will be created as close as possible to the current user. - `"wnam"` - `"enam"` - `"weur"` - `"eeur"` - `"apac"` - `"oc"` ### Returns - `D1` The details of the D1 database. - `created_at?: string` Specifies the timestamp the resource was created as an ISO8601 string. - `file_size?: number` The D1 database's size, in bytes. - `jurisdiction?: "eu" | "fedramp" | null` Specify the location to restrict the D1 database to run and store data. If this option is present, the location hint is ignored. - `"eu"` - `"fedramp"` - `name?: string` D1 database name. - `num_tables?: number` - `read_replication?: ReadReplication` Configuration for D1 read replication. - `mode: "auto" | "disabled"` The read replication mode for the database. Use 'auto' to create replicas and allow D1 automatically place them around the world, or 'disabled' to not use any database replicas (it can take a few hours for all replicas to be deleted). - `"auto"` - `"disabled"` - `uuid?: string` D1 database identifier (UUID). - `version?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const d1 = await client.d1.database.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', name: 'my-database', }); console.log(d1.uuid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2022-11-15T18:25:44.442097Z", "file_size": 12, "jurisdiction": "eu", "name": "my-database", "num_tables": 12, "read_replication": { "mode": "auto" }, "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx", "version": "production" }, "success": true } ```